<div style="display:flex; align-items: center; flex-direction: column; margin-bottom: 30px;">
    <div class="headlines">Protein Sequence</div>
    <form [formGroup]="ccsForm" (ngSubmit)="getDrugInfo()">
        <div class="form-group">
            <div class="textarea-div">
                <div style="display:flex; align-items: center;">
                    <div style="font-weight: bold;">Enter Transcript ID or HUGO gene name.</div>
                    <mat-icon
                        matTooltip="Enter your Protein substitutions in the format BRAF:V600E. For multiple conversion separate your inputs with a comma. E.g. 'TP53:R282W,BRAF:V600E' or click 'Load Example' to get a basic example."
                        matTooltipPosition="right" style="transform: scale(0.8);">help</mat-icon>
                </div>
                <textarea class="form-control" id="inputName" formControlName="inputName"
                    placeholder="Enter your Protein substitutions in the format BRAF:V600E. For multiple conversion separate your inputs with a comma. E.g. 'TP53:R282W,BRAF:V600E' or click 'Load Example' to get a basic example."></textarea>
            </div>
            <div>
                <div>
                    <button type="button" class="btn btn-secondary" matTooltip="Info about the action"
                        matTooltipPosition="right" (click)="getExampleData()">Load Example</button><br>
                    <button type="submit" class="btn btn-primary" [disabled]="!ccsForm.valid">Submit</button>
                </div>
            </div>
        </div>
    </form>
</div>

<div *ngIf="complete_request!=''">
    <app-terminal-view [terminal_string]="complete_request"></app-terminal-view>
</div>

<div class="card-grid" *ngIf="reqObj != null">
    <div class="card" *ngFor="let element of reqObj.data">
        <div class="card-header">
            <h2>{{element.name}}</h2>
        </div>
        <ul *ngIf="element['response']==200">
            <li>Protein ID: {{element['protein_id']}}</li>
            <li>Protein Sequence: <span style="font-family: monospace; font-weight: 200;">{{element['protein_sequence']}}</span></li>
        </ul>
        <ul *ngIf="element['response']==400">
            <li style="color:red;">Error: {{element['error']}}</li>
        </ul>
    </div>
</div>